Groovy 1.7.10

## org.codehaus.groovy.reflection.stdclasses
[Java] Class DoubleCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
              org.codehaus.groovy.reflection.stdclasses.DoubleCachedClass

    public class DoubleCachedClass
    extends NumberCachedClass

Authors:
  Alex.Tkachman

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`DoubleCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)`

Method Summary
`Object` | `coerceArgument(Object argument)`
`boolean` | `isAssignableFrom(Class classToTransformFrom)`
`boolean` | `isDirectlyAssignable(Object argument)`

Methods inherited from class NumberCachedClass
coerceArgument, isAssignableFrom

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DoubleCachedClass

    public DoubleCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

Copyright © 2003-2010 The Codehaus. All rights reserved.